TagsResourceApi (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger

## Class TagsResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.TagsResourceApi

-     public class TagsResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TagsResourceApi()`
    `TagsResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiClient` | `getApiClient()`
    `ApiTagToEntitiesList` | `getTags(BigDecimal limit, BigDecimal offset)` Current CM entities and their tags.
    `okhttp3.Call` | `getTagsAsync(BigDecimal limit, BigDecimal offset, ApiCallback<ApiTagToEntitiesList> callback)` Current CM entities and their tags.
    `okhttp3.Call` | `getTagsCall(BigDecimal limit, BigDecimal offset, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for getTags
    `ApiResponse<ApiTagToEntitiesList>` | `getTagsWithHttpInfo(BigDecimal limit, BigDecimal offset)` Current CM entities and their tags.
    `ApiTagToEntitiesList` | `readTagsByName(String tagName, BigDecimal limit, BigDecimal offset)` Get Entities given the Tag name, grouped by entity type.
    `okhttp3.Call` | `readTagsByNameAsync(String tagName, BigDecimal limit, BigDecimal offset, ApiCallback<ApiTagToEntitiesList> callback)` Get Entities given the Tag name, grouped by entity type.
    `okhttp3.Call` | `readTagsByNameCall(String tagName, BigDecimal limit, BigDecimal offset, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for readTagsByName
    `ApiResponse<ApiTagToEntitiesList>` | `readTagsByNameWithHttpInfo(String tagName, BigDecimal limit, BigDecimal offset)` Get Entities given the Tag name, grouped by entity type.
    `void` | `setApiClient(ApiClient apiClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TagsResourceApi

          public TagsResourceApi()

    - #### TagsResourceApi

          public TagsResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### getTagsCall

          public okhttp3.Call getTagsCall(BigDecimal limit,
                                          BigDecimal offset,
                                          ProgressResponseBody.ProgressListener progressListener,
                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                   throws ApiException

      Build call for getTags
      Parameters:
        `limit` - Number of tags to search for. Maximum value for limit is 1000. (optional, default to 10)
        `offset` - Starting index of the list (optional, default to 0)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### getTags

          public ApiTagToEntitiesList getTags(BigDecimal limit,
                                              BigDecimal offset)
                                       throws ApiException

      Current CM entities and their tags. Current CM entities and their tags. Tag names beginning with the prefix <code>_cldr_</code> (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `limit` - Number of tags to search for. Maximum value for limit is 1000. (optional, default to 10)
        `offset` - Starting index of the list (optional, default to 0)
      Returns:
        ApiTagToEntitiesList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getTagsWithHttpInfo

          public ApiResponse<ApiTagToEntitiesList> getTagsWithHttpInfo(BigDecimal limit,
                                                                       BigDecimal offset)
                                                                throws ApiException

      Current CM entities and their tags. Current CM entities and their tags. Tag names beginning with the prefix <code>_cldr_</code> (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `limit` - Number of tags to search for. Maximum value for limit is 1000. (optional, default to 10)
        `offset` - Starting index of the list (optional, default to 0)
      Returns:
        ApiResponse<ApiTagToEntitiesList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### getTagsAsync

          public okhttp3.Call getTagsAsync(BigDecimal limit,
                                           BigDecimal offset,
                                           ApiCallback<ApiTagToEntitiesList> callback)
                                    throws ApiException

      Current CM entities and their tags. (asynchronously) Current CM entities and their tags. Tag names beginning with the prefix <code>_cldr_</code> (case insensitive) are reserved for internal use by Cloudera.
      Parameters:
        `limit` - Number of tags to search for. Maximum value for limit is 1000. (optional, default to 10)
        `offset` - Starting index of the list (optional, default to 0)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### readTagsByNameCall

          public okhttp3.Call readTagsByNameCall(String tagName,
                                                 BigDecimal limit,
                                                 BigDecimal offset,
                                                 ProgressResponseBody.ProgressListener progressListener,
                                                 ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                          throws ApiException

      Build call for readTagsByName
      Parameters:
        `tagName` - Name of the tag (required)
        `limit` - Number of entries to search for. Maximum value for limit is 1000. (optional, default to 10)
        `offset` - Starting index of the list (optional, default to 0)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### readTagsByName

          public ApiTagToEntitiesList readTagsByName(String tagName,
                                                     BigDecimal limit,
                                                     BigDecimal offset)
                                              throws ApiException

      Get Entities given the Tag name, grouped by entity type. Get Entities given the Tag name, grouped by entity type.
      Parameters:
        `tagName` - Name of the tag (required)
        `limit` - Number of entries to search for. Maximum value for limit is 1000. (optional, default to 10)
        `offset` - Starting index of the list (optional, default to 0)
      Returns:
        ApiTagToEntitiesList
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readTagsByNameWithHttpInfo

          public ApiResponse<ApiTagToEntitiesList> readTagsByNameWithHttpInfo(String tagName,
                                                                              BigDecimal limit,
                                                                              BigDecimal offset)
                                                                       throws ApiException

      Get Entities given the Tag name, grouped by entity type. Get Entities given the Tag name, grouped by entity type.
      Parameters:
        `tagName` - Name of the tag (required)
        `limit` - Number of entries to search for. Maximum value for limit is 1000. (optional, default to 10)
        `offset` - Starting index of the list (optional, default to 0)
      Returns:
        ApiResponse<ApiTagToEntitiesList>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### readTagsByNameAsync

          public okhttp3.Call readTagsByNameAsync(String tagName,
                                                  BigDecimal limit,
                                                  BigDecimal offset,
                                                  ApiCallback<ApiTagToEntitiesList> callback)
                                           throws ApiException

      Get Entities given the Tag name, grouped by entity type. (asynchronously) Get Entities given the Tag name, grouped by entity type.
      Parameters:
        `tagName` - Name of the tag (required)
        `limit` - Number of entries to search for. Maximum value for limit is 1000. (optional, default to 10)
        `offset` - Starting index of the list (optional, default to 0)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2026. All rights reserved.